> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user team's

> Retrieves a list of teams associated with the logged-in user.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/user/teams
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/user/teams:
    get:
      tags:
        - B2B Users
      summary: Get user team's
      description: Retrieves a list of teams associated with the logged-in user.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      teams:
                        type: array
                        items:
                          type: object
                          properties:
                            nanoid:
                              type: string
                              minLength: 15
                              maxLength: 15
                              pattern: ^te-.*
                              description: Unique identifier for the team.
                            name:
                              type: string
                              minLength: 1
                              description: Name of the team.
                            riseid:
                              type: string
                              minLength: 42
                              maxLength: 42
                              description: Unique identifier for the team in Rise.
                            rise_account:
                              type: string
                              pattern: ^0x(?!0{40}$)[a-fA-F0-9]{40}$
                              description: Unique identifier for the team's Rise account.
                            role:
                              type: string
                              description: Role of the user in the team.
                            avatar:
                              type: string
                              description: URL of the team's avatar image.
                            balance:
                              type: string
                              description: Balance associated with the team.
                            payees_count:
                              type: number
                              description: Number of payees in the team.
                            administrators_count:
                              type: number
                              description: Number of administrators in the team.
                          required:
                            - nanoid
                            - name
                            - riseid
                            - rise_account
                            - role
                            - avatar
                            - balance
                            - payees_count
                            - administrators_count
                          additionalProperties: false
                    required:
                      - teams
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````